#
# Copyright (c) Giesecke+Devrient ePayments GmbH 2020-2025
#

info:
  title: eCOM Tokenizer API 3.0 - Examples
  description: eCOM Tokenizer API 3.0 - Examples
  version: 3.0.31

components:
  examples:
    HealthCheckResponseExample:
      value:
        status: "UP"
        features:
          - feature: "TOKEN"
            status: "UP"
          - feature: "BULK"
            status: "UP"
          - feature: "TRANSACT"
            status: "UP"

    Error503ResponseExample:
      value:
        statusCode: "503"
        errorMessage: "HTTP call resulted in an internal or TSP-related error, that may be solved by retrying the request. The caller is invited for retrying the call. The error scenario is expressed with the statusCode and errorMessage fields."

    TokenRequestExample:
      value:
        gdPaymentAppId: "VTS_PA_1"
        paymentScheme: "VISA"
        userData:
          accountId: "accountId1"
          email: "test@merchant.com"
          consumerCountry: "US"
          consumerLanguage: "en"
        fundingAccountData:
          panSource: "ON_FILE"
          consumerEntryMode: "UNKNOWN"
          encFundingAccountData: "eyJraWQiOiJDVVNUMS1DUC1SU0FQUklWLURFQy0wMDEiLCJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.iZYIc83WeWcz4MVlNBCxiuc_MMEhXm-plxF5XT-eQ10zOHL6bRtTxjlZcBMgLZDfB7nco02MYs9HJU_f0t7aOWR3fufHvHGJ5MRyJNzkVtS_vwu5qURghSQXr5NrO_FUeYlthxl32C47SHJyCT1Dx_VMXl_R5FMRNwo2rc0ye3xrjNmxF0a0j7-xRhovNruGNh8y2_soZ5FQ3jMUAm8cyb8YuMtrFhfkN8GNVMt00VXkdpyFmFLCorfbcq723mS2MqEhI5H5UbloxBkoj1pWGuNiFPoGGr3x7Hj5xbp6EKDCMgoh7aw_2u5hG3I1kT6eeU9dC5HgVz_x37aeaFmWSw.IkHpxz2fMUtGEh-C.ewlOPOuHVUGdw7BIUTgXKjYHAJrHxIUou4Yq4d3FQDvqKTDLyrV8m1qCmP_TtUJqmNd8vIIaBTvre0BDrA2Kwh9YPvBYiG-Wrd_RLb77MMO3a38.ZApBx-RlrkdFLHqyjv1oqg"
        riskData:
          ip4address: "193.108.184.90"
          locationLatitude: "47.7511"
          locationLongitude: "120.7402"

    TokenResponseExample:
      value:
        statusCode: "OK"
        tokenReference: "be7fcedfffe047a8ac252509d0beb4cb"
        tspTokenReference: "86a8dab0-e329-42b1-a837-f1b9cbc586f9"
        tokenInfo:
          accountPanSuffix: "1234"
          accountPanExpiry: "2022-12"
          paymentAccountReference: "1234"
          tokenStatus: "ACTIVE"
          tokenPanSuffix: "1234"
          tokenPanExpiry: "2022-12"
        cardMetadataId: "8d8388b2-4f02-3bf2-bec1-1e584f731032"

    TokenizeBulkRequestExample:
      value:
        paymentScheme: "VISA"
        jobId: "31cd3616-5a0c-4edb-9994-61b923648c6c"
        gdPaymentAppId: "VTS_PA_1"
        fundingAccounts:
          - rowId: "0"
            encFundingAccountData: "eyJraWQiOiJDVVNUMS1DUC1SU0FQUklWLURFQy0wMDEiLCJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.mpo3affneTkIHVc95XkhelfB46VxKghhIU2hi5EUp2P7XDTsA543Y-zk2Zj2upx1GxpgT2o3StDivquWTVG2uNSH1QLPXt5sRE_ZPoeoVn-0EQaUEag78d2t6ZWxcIFwWqdJvO77Rh1Oryu5YFbW_s3_Plt23lajJABRIk7gUSgJZCEB8r42qLxTSyqSj4Ihik1Wm_p04JIEmPsx7v88VJ9RQZS1wMfDeP90WBSv-2_NhGufyRLoZe4nBEKYBBO30uP1H-aBGzl2JSZjsCEwbglf6iUrzRxZ8WWCFMJ_u7KTm84y8gs-j22GSzzCztw0exPSl2AcNm7bszPtR5vhqg.MS75rUzaCUUrDcj0.pO12x2__acaBWx51C8GhA3M3lchWkxlM8UXWj7KiYTTrc8gZYhqHyzEdNUfe2tlrMGp5RucLJ10fCfxuSXJtCf8zZrLJo0XLdrfNtVRTi2qbIApJ.jRXbiv2LvB1NYKqRSV91TQ"
            userData:
              accountId: "accountId1"
              email: "test@merchant.com"
              consumerCountry: "DE"
              consumerLanguage: "de"
          - rowId: "1"
            encFundingAccountData: "eyJraWQiOiJDVVNUMS1DUC1SU0FQUklWLURFQy0wMDEiLCJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.mpo3affneTkIHVc95XkhelfB46VxKghhIU2hi5EUp2P7XDTsA543Y-zk2Zj2upx1GxpgT2o3StDivquWTVG2uNSH1QLPXt5sRE_ZPoeoVn-0EQaUEag78d2t6ZWxcIFwWqdJvO77Rh1Oryu5YFbW_s3_Plt23lajJABRIk7gUSgJZCEB8r42qLxTSyqSj4Ihik1Wm_p04JIEmPsx7v88VJ9RQZS1wMfDeP90WBSv-2_NhGufyRLoZe4nBEKYBBO30uP1H-aBGzl2JSZjsCEwbglf6iUrzRxZ8WWCFMJ_u7KTm84y8gs-j22GSzzCztw0exPSl2AcNm7bszPtR5vhqg.MS75rUzaCUUrDcj0.pO12x2__acaBWx51C8GhA3M3lchWkxlM8UXWj7KiYTTrc8gZYhqHyzEdNUfe2tlrMGp5RucLJ10fCfxuSXJtCf8zZrLJo0XLdrfNtVRTi2qbIApJ.jRXbiv2LvB1NYKqRSV91TQ"
            userData:
              accountId: "accountId2"
              email: "test@merchant.com"
              consumerCountry: "DE"
              consumerLanguage: "de"

    TokenizeBulkMultiSchemeRequestExample:
      value:
        jobId: "31cd3616-5a0c-4edb-9994-61b923648c6c"
        fundingAccounts:
          - rowId: "0"
            paymentScheme: "VISA"
            gdPaymentAppId: "VTS_PA_1"
            encFundingAccountData: "eyJraWQiOiJDVVNUMS1DUC1SU0FQUklWLURFQy0wMDEiLCJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.mpo3affneTkIHVc95XkhelfB46VxKghhIU2hi5EUp2P7XDTsA543Y-zk2Zj2upx1GxpgT2o3StDivquWTVG2uNSH1QLPXt5sRE_ZPoeoVn-0EQaUEag78d2t6ZWxcIFwWqdJvO77Rh1Oryu5YFbW_s3_Plt23lajJABRIk7gUSgJZCEB8r42qLxTSyqSj4Ihik1Wm_p04JIEmPsx7v88VJ9RQZS1wMfDeP90WBSv-2_NhGufyRLoZe4nBEKYBBO30uP1H-aBGzl2JSZjsCEwbglf6iUrzRxZ8WWCFMJ_u7KTm84y8gs-j22GSzzCztw0exPSl2AcNm7bszPtR5vhqg.MS75rUzaCUUrDcj0.pO12x2__acaBWx51C8GhA3M3lchWkxlM8UXWj7KiYTTrc8gZYhqHyzEdNUfe2tlrMGp5RucLJ10fCfxuSXJtCf8zZrLJo0XLdrfNtVRTi2qbIApJ.jRXbiv2LvB1NYKqRSV91TQ"
            userData:
              accountId: "accountId1"
              email: "test@merchant.com"
              consumerCountry: "DE"
              consumerLanguage: "de"
          - rowId: "1"
            paymentScheme: "MASTERCARD"
            gdPaymentAppId: "MC_PA_1"
            encFundingAccountData: "eyJraWQiOiJDVVNUMS1DUC1SU0FQUklWLURFQy0wMDEiLCJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.mpo3affneTkIHVc95XkhelfB46VxKghhIU2hi5EUp2P7XDTsA543Y-zk2Zj2upx1GxpgT2o3StDivquWTVG2uNSH1QLPXt5sRE_ZPoeoVn-0EQaUEag78d2t6ZWxcIFwWqdJvO77Rh1Oryu5YFbW_s3_Plt23lajJABRIk7gUSgJZCEB8r42qLxTSyqSj4Ihik1Wm_p04JIEmPsx7v88VJ9RQZS1wMfDeP90WBSv-2_NhGufyRLoZe4nBEKYBBO30uP1H-aBGzl2JSZjsCEwbglf6iUrzRxZ8WWCFMJ_u7KTm84y8gs-j22GSzzCztw0exPSl2AcNm7bszPtR5vhqg.MS75rUzaCUUrDcj0.pO12x2__acaBWx51C8GhA3M3lchWkxlM8UXWj7KiYTTrc8gZYhqHyzEdNUfe2tlrMGp5RucLJ10fCfxuSXJtCf8zZrLJo0XLdrfNtVRTi2qbIApJ.jRXbiv2LvB1NYKqRSV91TQ"
            userData:
              accountId: "accountId2"
              email: "test@merchant.com"
              consumerCountry: "DE"
              consumerLanguage: "de"

    TokenizeBulkInProgressResponseExample:
      value:
        statusCode: "OK"
        jobStatus: "INPROGRESS"

    TokenizeBulkResponseExample:
      value:
        statusCode: "OK"
        jobStatus: "DONE"
        results:
          - statusCode: "OK"
            rowId: "0"
            tokenReference: "e209afda26fd4869adb2c14b554b8f13"
            tspTokenReference: "cb8e79dc-349a-4206-8cf0-f5aba8bad989"
          - statusCode: "OK"
            rowId: "1"
            tokenReference: "39edb5b391c14797a7b4b16fe0094dc9"
            tspTokenReference: "fd0965eb-e33f-4be5-95ea-b74bec76de36"

    TokenizeBulkResultsRequestExample:
      value:
        jobId: "31cd3616-5a0c-4edb-9994-61b923648c6c"

    TokenInfoRequestExample:
      value:
        tokenReference: "ae9a99f6a72841aebb32a05cc80fe47b"
        gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"

    TokenInfoResponseExample:
      value:
        statusCode: "OK"
        tokenReference: "ae9a99f6a72841aebb32a05cc80fe47b"
        tspTokenReference: "75a9a1ae-c3ce-413c-be6b-4e5ac494f617"
        tokenInfo:
          accountPanSuffix: "1234"
          accountPanExpiry: "2022-12"
          paymentAccountReference: "1234"
          tokenStatus: "ACTIVE"
          tokenPanSuffix: "1234"
          tokenPanExpiry: "2022-12"
        cardMetadataId: "8d8388b2-4f02-3bf2-bec1-1e584f731032"

    LCMRequestExample:
      value:
        tokenReference: "70a55ed9b9b849dda2b50adb13978e97"
        gdPaymentAppId: "VTS_PA_1"
        reasonCode: "CUSTOMER_CONFIRMED"
        reasonDescription: "Some description text"

    LCMResponseExample:
      value:
        statusCode: "OK"

    TransactRequestExample:
      value:
        tokenReference: "3c4c4117fdc34b78aa1921f7bdd3a60e"
        gdPaymentAppId: "VTS_PA_1"
        transactionData:
          transactionType: "CIT"
          cryptogramType: "VISA_TAVV"
          amount: 123.45
          currencyCode: "840"

    TransactResponseExample:
      value:
        statusCode: "OK"
        tspTransactionId: "some-transaction-id"
        tokenInfo:
          accountPanSuffix: "1234"
          accountPanExpiry: "2022-12"
          paymentAccountReference: "1234"
          tokenStatus: "ACTIVE"
          tokenPanSuffix: "1234"
          tokenPanExpiry: "2022-12"
        encTransactionPayload: "eyJlcGsiOnsia3R5IjoiRUMiLCJjcnYiOiJQLTI1NiIsIngiOiJJMWdoenNIMU5ZclVyVUFPenVqVkFEMEZPNzBqZHRkYm43aFdCOE4waXFJIiwieSI6InNiQ2tjM3hCUTlpYWZoRjluQm1BRHJabmxoYWNtQ2JmM3VCNXpuR3BiR2MifSwia2lkIjoiQ1VTVDEtQ1AtRUNQVUItRU5DLTAwMSIsImVuYyI6IkExMjhHQ00iLCJhbGciOiJFQ0RILUVTK0ExMjhLVyJ9.KLXiDFKACtsLBtuLgAzlfFbkMNs_VXvz.R_k6AM2MDRzi1GdQ._gh1Wos9PScn3Dk-YznNKCe-JQcn4m3qGVLl25dxQERTO6p-BBFmS4pbjTJexKGHqVZs1A_30yDEnRD5feVnTS6FxZYLoQbaK9VdYvGO9Qs8CwA8lSk7z-vnNv8.WCM9zcdaZd97J3BcC9lNLg"

    CardMetadataExample:
      value:
        shortDescription: "mockShortDescription"
        longDescription: "mockLongDescription"
        backgroundColor: "0x009614"
        foregroundColor: "0x1af0f0"
        labelColor: "0x19550a"
        contactWebsite: "https://www.mock-test.com"
        contactEmail: "mock@gd-visa.com"
        contactNumber: "987654321"
        contactName: "MrBean"
        bankAppName: "bank-app-name"
        bankAppAddress: "bank-app-address"
        privacyPolicyUrl: "https://mock-test.com"
        tcWebUrl: "https://mock-termsandconditions.com"
        tcResourceId: "adcf5480-955c-3fc2-b73c-4cde44dc1234"
        unsupportedPresentationTypes:
          - none
        unsupportedCardVerification:
          - empty
        brandLogoResourceId: "adcf5480-955c-3fc2-b73c-4cde44dca94f"
        issuerLogoResourceId: "adcf5480-955c-3fc2-b73c-4cde44d12345"
        isCoBranded: false
        coBrandedName: "empty"
        cardBackgroundCombinedResourceId: "523b847b-2359-34b3-9b79-decd0d87b59d"
        cardBackgroundResourceId: "b2e5c2d9-efe6-34ad-aed2-6f37eb97901f"
        iconResourceId: "523b847b-2359-34b3-9b79-decd0d87b5aa"
        issuerName: "TheIssuer"
        onlineBankingLoginUrl: "http://login-to-banking.bank.org"
        issuerProductConfigCode: "some-code"

    ResourceExample:
      value:
        resourceId: "adcf5480-955c-3fc2-b73c-4cde44dca94f"
        altText: "altText"
        content:
          - contentId: "958da72b-63f5-4091-a431-a68f2f850a8a"
            contentType: "image/png"
            width: "100"
            height: "100"
            data: "c29tZS1tb2NrLXRleHQtMTExMTEK"

    RegisterDeviceRequestExample:
      value:
        gdPaymentAppId: "VTS_PA_1"
        deviceId: "cb4bd6093e8511ec9243ebd7"
        paymentScheme: "VISA"
        deviceInfo:
          osType: "ANDROID"
          osVersion: "123"
          osBuildId: "234"
          formfactor: "WATCH"
          deviceManufacturer: "MANUFACTURER"
          deviceBrand: "BRAND"
          deviceModel: "MODEL"
          deviceName: "TXlXYXRjaA"
          phoneNumber: "000000000"
        devicePublicKeys:
          integrity:
            kty: "RSA"
            use: "sig"
            n: "AIFr_L1O-e2gcpHTkxgFE_epKoQbZ8PS-aDrMkMBMNOcF_96ZzoKwnWClm59NZ-oHma7uFaIy-ykYP8OIWJIR8KlY3kKEKvHUW9OWI0B-SSyLGndeOEyJlIY4wioUXZEx_p1RegZLxEL5dz3KRL_0vdP2Z-Wkk6b71mXztuaVmjOnIx_Tq6kzCtbRiZZDocRaUhsAfknsWRGSB70MVCjI5MIWych8sJD_hjLz1zLxd6PDN5XqaPFMvftZSOJiH3pMBC7E8tQeFgg3y9uqxx9lCFPCMpR6fwD2L-WVQhtjyfxTtzjgeTLa5jmE9K0L1s26my7dSgtLBBysvhudB6K9KM"
            e: "AQAB"
        tspCertIds:
          confidentialityCertId: "27ffe2c7"
          integrityCertId: "715ea257"

    RegisterDeviceResponseExample:
      value:
        statusCode: "OK"

    BindDeviceRequestExample:
      value:
        tokenReference: "7e45025b19c9477593b12895a61832e4"
        gdPaymentAppId: "VTS_PA_1"
        platformType: "WEB"
        sigBindingRequest: "eyJraWQiOiI2NTQzMjEiLCJhbGciOiJSUzI1NiJ9.eyJjbGllbnREZXZpY2VJRCI6ImNiNGJkNjA5M2U4NTExZWM5MjQzZWJkNyIsImNsaWVudFJlZmVyZW5jZUlEIjoiMzYwMjM2MmEwOTAxIiwidlByb3Zpc2lvbmVkVG9rZW5JRCI6IjBjOWYwNjQ4LTliODctNDZmNC04OTczLWJlMDM3OTcxODNjZCIsIm5vbmNlIjoiMjY2OTYifQ.aToRS3YVjqXiP4BysPDFVTVsSNmUwdA6WToQ5ywjlc4zifMUjRjtr0OkuiqmpXA5cnIiBrzgEdF9ijFC_RlF7YeJzoCjqF7lCQsEs8M3-zor3KTiPpJ6TC035bEnOVt3NqdO8Bu0st1W4lKm04iigm-ZM8gsqSNX-z9XCQ0ubAMYfwpOlZNGdQ5z9KAQw0BMh0HmE75FoJQ5zfskIY_VkGoVs_XvzQPgOrjd8rEF6OR6imfD_fpaYqsdx7OgkQH7iQGk9se3gOa5q8YGk2iy9KydoErhAf9kY7q5eJC4Q_RbL48lTlFiv7kU0buqiS9rM1IfBnKpx5Nif1kfUcIkIQ"
        accountIdHash: "zmI...Yg"
        deviceId: "cb4bd6093e8511ec9243ebd7"

    BindDeviceResponseExample:
      value:
        statusCode: "OK"
        status: "APPROVED"

    UnbindDeviceRequestExample:
      value:
        tokenReference: "7e45025b19c9477593b12895a61832e4"
        gdPaymentAppId: "VTS_PA_1"
        deviceId: "cb4bd6093e8511ec9243ebd7"

    UnbindDeviceResponseExample:
      value:
        statusCode: "OK"

    GetIdvOptionsRequestExample:
      value:
        tokenReference: "7e45025b19c9477593b12895a61832e4"
        gdPaymentAppId: "VTS_PA_1"
        clientReferenceId: "3602362a0901"
        platformType: "WEB"
        reasonCode: "DEVICE_BINDING"

    GetIdvOptionsResponseExample:
      value:
        statusCode: "OK"
        idvOptions:
          - idvType: "OTP_OVER_EMAIL"
            idvValue: "em*****@email.com"
            idvId: "YzZmYjI4MGI4NGVhODg3ZmExMzA0NmU2OTc5ZGQxMDI="

    SelectIdvOptionsRequestExample:
      value:
        tokenReference: "7e45025b19c9477593b12895a61832e4"
        gdPaymentAppId: "VTS_PA_1"
        idvId: "YzZmYjI4MGI4NGVhODg3ZmExMzA0NmU2OTc5ZGQxMDI="
        idvSelectionDate: "2021-11-08T15:22:03.021Z"
        clientReferenceId: "3602362a0901"

    SelectIdvOptionsResponseExample:
      value:
        statusCode: "OK"
        maxOtpVerificationAllowed: 3
        maxOtpRequestsAllowed: 3
        codeExpiration: 10

    ExecuteIdvOptionRequestExample:
      value:
        tokenReference: "7e45025b19c9477593b12895a61832e4"
        gdPaymentAppId: "VTS_PA_1"
        otpValue: "12345678"
        otpSubmittingDate: "021-11-08T15:22:03.021Z"
        clientReferenceId: "3602362a0901"

    ExecuteIdvOptionResponseExample:
      value:
        statusCode: "OK"

    TxHistoryRequestExample:
      value:
        tokenReference: "3c4c4117fdc34b78aa1921f7bdd3a60e"
        gdPaymentAppId: "VTS_PA_1"
        count: "1"
        transactionsFromTimestamp: "2007-12-03T10:15:30.00Z"
        transactionIDs:
          - "ff20b9211f1f44fdbbc1ea9dd975660e"
          - "c160e704dd294a6e9bef8b6b91839e12"

    TxHistoryResponseExample:
      value:
        statusCode: "OK"
        txHistory:
          - tokenReference: "90260ff2dc664cfa8262de70f8d01b99"
            amount: "1234"
            currencyCode: "EUR"
            transactionId: "mock-dummy-transaction-id"
            transactionTimestamp: "2011-08-12T20:17:46.384Z"
            merchantName: "dummy-merchant"
            transactionType: "PURCHASE"
            authorizationStatus: "AUTHORIZED"
            merchantType: "ECOM"
            merchantZipCode: "82162"
            industryCategoryCode: "ECOM"
            industryCategoryName: "ECOM"
            industryName: "ECOM"
            merchantCity: "MUC"
            recordId: "record-000001"
            transactionCountryCode: "xxx"
            comboCardAccountType: "aaa"
            issuerResponseInformation: "bbb"
            installments: "6"

    OnboardToVtsRequestExample:
      value:
        tspId: "VTS_SANDBOX"
        businessIdentificationType: "BID"
        businessIdentificationValue: "12345678"
        address:
          city: "Munich"
          countryCode: "DE"
          primaryLegalName: "Merchant Name"
          primaryContactEmail: "contact@merchant.com"
          primaryWebsiteUrl: "https://www.merchant.com"
        vtsPaymentApps:
          - vtsProfileName: "webApp"
            vtsClientAppId: "webApp"

    OnboardToVtsResponseExample:
      value:
        statusCode: "OK"
        gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"
        vtsPaymentApps:
          - vtsClientAppId: "webApp"
            gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"

    OnboardToMcRequestExample:
      value:
        tspId: "MCSCOF_SANDBOX"
        programName: "Merchant Name"
        mcCustomerId: "100039"
        mcPaymentApps:
          - dpaName: "webApp"
            dpaPresentationName: "Merchant web app"

    OnboardToMcResponseInProgressExample:
      value:
        statusCode: "OK"
        gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"
        onboardStatus: "IN_PROGRESS"
        mcPaymentApps:
          - dpaName: "webApp"
            gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"
            onboardStatus: "IN_PROGRESS"

    OffboardFromMcRequestExample:
      value:
        programName: "Merchant Name"
        mcPaymentApps:
          - dpaName: "webApp"

    OnboardToMcStatusRequestExample:
      value:
        gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"

    OnboardToMcResponseCompletedExample:
      value:
        statusCode: "OK"
        gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"
        onboardStatus: "COMPLETED"
        mcPaymentApps:
          - dpaName: "webApp"
            gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"
            onboardStatus: "COMPLETED"

    OnboardToEloRequestExample:
      value:
        tspId: "ELO_SANDBOX"
        legalId: "05281470000194"
        legalName: "Merchant A"
        displayName: "Merchant A"
        gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"
        primaryContactEmail: "test@test.com"
        primaryContactPhoneNumber: "+358134123412342"
        cardProductType: "CREDIT"

    OnboardToEloResponseExample:
      value:
        statusCode: "OK"
        gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"
        gdPaymentAppId: "c82caada-1177-4ca6-a2e1-0522e08c21a1"

    TokenUpdatedEventExample:
      value:
        tokens:
          - gdTokenRequestorId: "0a099d8c-34a4-4f42-94a6-b1b68b9d071c"
            tokenReference: "be7fcedfffe047a8ac252509d0beb4cb"
            tspTokenReference: "86a8dab0-e329-42b1-a837-f1b9cbc586f9"
            panReference: "5da6a8da-34234-42b1-a837-b9cbc584238"
            metadataId: "8d8388b2-4f02-3bf2-bec1-1e584f731032"
            tokenInfo:
              accountPanSuffix: "1234"
              accountPanExpiry: "2022-12"
              paymentAccountReference: "1234"
              tokenStatus: "ACTIVE"
              tokenPanSuffix: "1234"
              tokenPanExpiry: "2022-12"
            accountId: "mockAccountId"
            notificationDetails:
              reason: TOKEN_REFRESH
              detail: "token refreshed"
            eventTimestamp: "2023-10-20T07:02:45.165Z"